// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: StateDefinitionMessage.proto

package ru.omnicomm.pegasus.messaging.common;

public final class StateDefinitionMessageParser {
  private StateDefinitionMessageParser() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
  }
  public interface StateDefinitionMessageOrBuilder
      extends com.google.protobuf.MessageOrBuilder {
    
    // optional int64 sourceId = 1;
    boolean hasSourceId();
    long getSourceId();
    
    // required int64 messageType = 2;
    boolean hasMessageType();
    long getMessageType();
    
    // optional int32 messageTime = 3;
    boolean hasMessageTime();
    int getMessageTime();
    
    // optional int64 timeStamp = 5;
    boolean hasTimeStamp();
    long getTimeStamp();
    
    // optional int32 messageBlock = 6;
    boolean hasMessageBlock();
    int getMessageBlock();
    
    // repeated int32 intValue = 7;
    java.util.List<java.lang.Integer> getIntValueList();
    int getIntValueCount();
    int getIntValue(int index);
    
    // repeated double doubleValue = 8;
    java.util.List<java.lang.Double> getDoubleValueList();
    int getDoubleValueCount();
    double getDoubleValue(int index);
    
    // repeated bool booleanValue = 9;
    java.util.List<java.lang.Boolean> getBooleanValueList();
    int getBooleanValueCount();
    boolean getBooleanValue(int index);
    
    // repeated int64 longValue = 10;
    java.util.List<java.lang.Long> getLongValueList();
    int getLongValueCount();
    long getLongValue(int index);
  }
  public static final class StateDefinitionMessage extends
      com.google.protobuf.GeneratedMessage
      implements StateDefinitionMessageOrBuilder {
    // Use StateDefinitionMessage.newBuilder() to construct.
    private StateDefinitionMessage(Builder builder) {
      super(builder);
    }
    private StateDefinitionMessage(boolean noInit) {}
    
    private static final StateDefinitionMessage defaultInstance;
    public static StateDefinitionMessage getDefaultInstance() {
      return defaultInstance;
    }
    
    public StateDefinitionMessage getDefaultInstanceForType() {
      return defaultInstance;
    }
    
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.internal_static_ru_omnicomm_pegasus_messaging_common_StateDefinitionMessage_descriptor;
    }
    
    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.internal_static_ru_omnicomm_pegasus_messaging_common_StateDefinitionMessage_fieldAccessorTable;
    }
    
    private int bitField0_;
    // optional int64 sourceId = 1;
    public static final int SOURCEID_FIELD_NUMBER = 1;
    private long sourceId_;
    public boolean hasSourceId() {
      return ((bitField0_ & 0x00000001) == 0x00000001);
    }
    public long getSourceId() {
      return sourceId_;
    }
    
    // required int64 messageType = 2;
    public static final int MESSAGETYPE_FIELD_NUMBER = 2;
    private long messageType_;
    public boolean hasMessageType() {
      return ((bitField0_ & 0x00000002) == 0x00000002);
    }
    public long getMessageType() {
      return messageType_;
    }
    
    // optional int32 messageTime = 3;
    public static final int MESSAGETIME_FIELD_NUMBER = 3;
    private int messageTime_;
    public boolean hasMessageTime() {
      return ((bitField0_ & 0x00000004) == 0x00000004);
    }
    public int getMessageTime() {
      return messageTime_;
    }
    
    // optional int64 timeStamp = 5;
    public static final int TIMESTAMP_FIELD_NUMBER = 5;
    private long timeStamp_;
    public boolean hasTimeStamp() {
      return ((bitField0_ & 0x00000008) == 0x00000008);
    }
    public long getTimeStamp() {
      return timeStamp_;
    }
    
    // optional int32 messageBlock = 6;
    public static final int MESSAGEBLOCK_FIELD_NUMBER = 6;
    private int messageBlock_;
    public boolean hasMessageBlock() {
      return ((bitField0_ & 0x00000010) == 0x00000010);
    }
    public int getMessageBlock() {
      return messageBlock_;
    }
    
    // repeated int32 intValue = 7;
    public static final int INTVALUE_FIELD_NUMBER = 7;
    private java.util.List<java.lang.Integer> intValue_;
    public java.util.List<java.lang.Integer>
        getIntValueList() {
      return intValue_;
    }
    public int getIntValueCount() {
      return intValue_.size();
    }
    public int getIntValue(int index) {
      return intValue_.get(index);
    }
    
    // repeated double doubleValue = 8;
    public static final int DOUBLEVALUE_FIELD_NUMBER = 8;
    private java.util.List<java.lang.Double> doubleValue_;
    public java.util.List<java.lang.Double>
        getDoubleValueList() {
      return doubleValue_;
    }
    public int getDoubleValueCount() {
      return doubleValue_.size();
    }
    public double getDoubleValue(int index) {
      return doubleValue_.get(index);
    }
    
    // repeated bool booleanValue = 9;
    public static final int BOOLEANVALUE_FIELD_NUMBER = 9;
    private java.util.List<java.lang.Boolean> booleanValue_;
    public java.util.List<java.lang.Boolean>
        getBooleanValueList() {
      return booleanValue_;
    }
    public int getBooleanValueCount() {
      return booleanValue_.size();
    }
    public boolean getBooleanValue(int index) {
      return booleanValue_.get(index);
    }
    
    // repeated int64 longValue = 10;
    public static final int LONGVALUE_FIELD_NUMBER = 10;
    private java.util.List<java.lang.Long> longValue_;
    public java.util.List<java.lang.Long>
        getLongValueList() {
      return longValue_;
    }
    public int getLongValueCount() {
      return longValue_.size();
    }
    public long getLongValue(int index) {
      return longValue_.get(index);
    }
    
    private void initFields() {
      sourceId_ = 0L;
      messageType_ = 0L;
      messageTime_ = 0;
      timeStamp_ = 0L;
      messageBlock_ = 0;
      intValue_ = java.util.Collections.emptyList();;
      doubleValue_ = java.util.Collections.emptyList();;
      booleanValue_ = java.util.Collections.emptyList();;
      longValue_ = java.util.Collections.emptyList();;
    }
    private byte memoizedIsInitialized = -1;
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized != -1) return isInitialized == 1;
      
      if (!hasMessageType()) {
        memoizedIsInitialized = 0;
        return false;
      }
      memoizedIsInitialized = 1;
      return true;
    }
    
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      getSerializedSize();
      if (((bitField0_ & 0x00000001) == 0x00000001)) {
        output.writeInt64(1, sourceId_);
      }
      if (((bitField0_ & 0x00000002) == 0x00000002)) {
        output.writeInt64(2, messageType_);
      }
      if (((bitField0_ & 0x00000004) == 0x00000004)) {
        output.writeInt32(3, messageTime_);
      }
      if (((bitField0_ & 0x00000008) == 0x00000008)) {
        output.writeInt64(5, timeStamp_);
      }
      if (((bitField0_ & 0x00000010) == 0x00000010)) {
        output.writeInt32(6, messageBlock_);
      }
      for (int i = 0; i < intValue_.size(); i++) {
        output.writeInt32(7, intValue_.get(i));
      }
      for (int i = 0; i < doubleValue_.size(); i++) {
        output.writeDouble(8, doubleValue_.get(i));
      }
      for (int i = 0; i < booleanValue_.size(); i++) {
        output.writeBool(9, booleanValue_.get(i));
      }
      for (int i = 0; i < longValue_.size(); i++) {
        output.writeInt64(10, longValue_.get(i));
      }
      getUnknownFields().writeTo(output);
    }
    
    private int memoizedSerializedSize = -1;
    public int getSerializedSize() {
      int size = memoizedSerializedSize;
      if (size != -1) return size;
    
      size = 0;
      if (((bitField0_ & 0x00000001) == 0x00000001)) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(1, sourceId_);
      }
      if (((bitField0_ & 0x00000002) == 0x00000002)) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(2, messageType_);
      }
      if (((bitField0_ & 0x00000004) == 0x00000004)) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(3, messageTime_);
      }
      if (((bitField0_ & 0x00000008) == 0x00000008)) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(5, timeStamp_);
      }
      if (((bitField0_ & 0x00000010) == 0x00000010)) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(6, messageBlock_);
      }
      {
        int dataSize = 0;
        for (int i = 0; i < intValue_.size(); i++) {
          dataSize += com.google.protobuf.CodedOutputStream
            .computeInt32SizeNoTag(intValue_.get(i));
        }
        size += dataSize;
        size += 1 * getIntValueList().size();
      }
      {
        int dataSize = 0;
        dataSize = 8 * getDoubleValueList().size();
        size += dataSize;
        size += 1 * getDoubleValueList().size();
      }
      {
        int dataSize = 0;
        dataSize = 1 * getBooleanValueList().size();
        size += dataSize;
        size += 1 * getBooleanValueList().size();
      }
      {
        int dataSize = 0;
        for (int i = 0; i < longValue_.size(); i++) {
          dataSize += com.google.protobuf.CodedOutputStream
            .computeInt64SizeNoTag(longValue_.get(i));
        }
        size += dataSize;
        size += 1 * getLongValueList().size();
      }
      size += getUnknownFields().getSerializedSize();
      memoizedSerializedSize = size;
      return size;
    }
    
    private static final long serialVersionUID = 0L;
    @java.lang.Override
    protected java.lang.Object writeReplace()
        throws java.io.ObjectStreamException {
      return super.writeReplace();
    }
    
    public static ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.StateDefinitionMessage parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.StateDefinitionMessage parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.StateDefinitionMessage parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.StateDefinitionMessage parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.StateDefinitionMessage parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.StateDefinitionMessage parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.StateDefinitionMessage parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.StateDefinitionMessage parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.StateDefinitionMessage parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.StateDefinitionMessage parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    
    public static Builder newBuilder() { return Builder.create(); }
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder(ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.StateDefinitionMessage prototype) {
      return newBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() { return newBuilder(this); }
    
    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessage.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    public static final class Builder extends
        com.google.protobuf.GeneratedMessage.Builder<Builder>
       implements ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.StateDefinitionMessageOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.internal_static_ru_omnicomm_pegasus_messaging_common_StateDefinitionMessage_descriptor;
      }
      
      protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.internal_static_ru_omnicomm_pegasus_messaging_common_StateDefinitionMessage_fieldAccessorTable;
      }
      
      // Construct using ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.StateDefinitionMessage.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }
      
      private Builder(BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessage.alwaysUseFieldBuilders) {
        }
      }
      private static Builder create() {
        return new Builder();
      }
      
      public Builder clear() {
        super.clear();
        sourceId_ = 0L;
        bitField0_ = (bitField0_ & ~0x00000001);
        messageType_ = 0L;
        bitField0_ = (bitField0_ & ~0x00000002);
        messageTime_ = 0;
        bitField0_ = (bitField0_ & ~0x00000004);
        timeStamp_ = 0L;
        bitField0_ = (bitField0_ & ~0x00000008);
        messageBlock_ = 0;
        bitField0_ = (bitField0_ & ~0x00000010);
        intValue_ = java.util.Collections.emptyList();;
        bitField0_ = (bitField0_ & ~0x00000020);
        doubleValue_ = java.util.Collections.emptyList();;
        bitField0_ = (bitField0_ & ~0x00000040);
        booleanValue_ = java.util.Collections.emptyList();;
        bitField0_ = (bitField0_ & ~0x00000080);
        longValue_ = java.util.Collections.emptyList();;
        bitField0_ = (bitField0_ & ~0x00000100);
        return this;
      }
      
      public Builder clone() {
        return create().mergeFrom(buildPartial());
      }
      
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.StateDefinitionMessage.getDescriptor();
      }
      
      public ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.StateDefinitionMessage getDefaultInstanceForType() {
        return ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.StateDefinitionMessage.getDefaultInstance();
      }
      
      public ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.StateDefinitionMessage build() {
        ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.StateDefinitionMessage result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }
      
      private ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.StateDefinitionMessage buildParsed()
          throws com.google.protobuf.InvalidProtocolBufferException {
        ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.StateDefinitionMessage result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(
            result).asInvalidProtocolBufferException();
        }
        return result;
      }
      
      public ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.StateDefinitionMessage buildPartial() {
        ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.StateDefinitionMessage result = new ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.StateDefinitionMessage(this);
        int from_bitField0_ = bitField0_;
        int to_bitField0_ = 0;
        if (((from_bitField0_ & 0x00000001) == 0x00000001)) {
          to_bitField0_ |= 0x00000001;
        }
        result.sourceId_ = sourceId_;
        if (((from_bitField0_ & 0x00000002) == 0x00000002)) {
          to_bitField0_ |= 0x00000002;
        }
        result.messageType_ = messageType_;
        if (((from_bitField0_ & 0x00000004) == 0x00000004)) {
          to_bitField0_ |= 0x00000004;
        }
        result.messageTime_ = messageTime_;
        if (((from_bitField0_ & 0x00000008) == 0x00000008)) {
          to_bitField0_ |= 0x00000008;
        }
        result.timeStamp_ = timeStamp_;
        if (((from_bitField0_ & 0x00000010) == 0x00000010)) {
          to_bitField0_ |= 0x00000010;
        }
        result.messageBlock_ = messageBlock_;
        if (((bitField0_ & 0x00000020) == 0x00000020)) {
          intValue_ = java.util.Collections.unmodifiableList(intValue_);
          bitField0_ = (bitField0_ & ~0x00000020);
        }
        result.intValue_ = intValue_;
        if (((bitField0_ & 0x00000040) == 0x00000040)) {
          doubleValue_ = java.util.Collections.unmodifiableList(doubleValue_);
          bitField0_ = (bitField0_ & ~0x00000040);
        }
        result.doubleValue_ = doubleValue_;
        if (((bitField0_ & 0x00000080) == 0x00000080)) {
          booleanValue_ = java.util.Collections.unmodifiableList(booleanValue_);
          bitField0_ = (bitField0_ & ~0x00000080);
        }
        result.booleanValue_ = booleanValue_;
        if (((bitField0_ & 0x00000100) == 0x00000100)) {
          longValue_ = java.util.Collections.unmodifiableList(longValue_);
          bitField0_ = (bitField0_ & ~0x00000100);
        }
        result.longValue_ = longValue_;
        result.bitField0_ = to_bitField0_;
        onBuilt();
        return result;
      }
      
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.StateDefinitionMessage) {
          return mergeFrom((ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.StateDefinitionMessage)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }
      
      public Builder mergeFrom(ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.StateDefinitionMessage other) {
        if (other == ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.StateDefinitionMessage.getDefaultInstance()) return this;
        if (other.hasSourceId()) {
          setSourceId(other.getSourceId());
        }
        if (other.hasMessageType()) {
          setMessageType(other.getMessageType());
        }
        if (other.hasMessageTime()) {
          setMessageTime(other.getMessageTime());
        }
        if (other.hasTimeStamp()) {
          setTimeStamp(other.getTimeStamp());
        }
        if (other.hasMessageBlock()) {
          setMessageBlock(other.getMessageBlock());
        }
        if (!other.intValue_.isEmpty()) {
          if (intValue_.isEmpty()) {
            intValue_ = other.intValue_;
            bitField0_ = (bitField0_ & ~0x00000020);
          } else {
            ensureIntValueIsMutable();
            intValue_.addAll(other.intValue_);
          }
          onChanged();
        }
        if (!other.doubleValue_.isEmpty()) {
          if (doubleValue_.isEmpty()) {
            doubleValue_ = other.doubleValue_;
            bitField0_ = (bitField0_ & ~0x00000040);
          } else {
            ensureDoubleValueIsMutable();
            doubleValue_.addAll(other.doubleValue_);
          }
          onChanged();
        }
        if (!other.booleanValue_.isEmpty()) {
          if (booleanValue_.isEmpty()) {
            booleanValue_ = other.booleanValue_;
            bitField0_ = (bitField0_ & ~0x00000080);
          } else {
            ensureBooleanValueIsMutable();
            booleanValue_.addAll(other.booleanValue_);
          }
          onChanged();
        }
        if (!other.longValue_.isEmpty()) {
          if (longValue_.isEmpty()) {
            longValue_ = other.longValue_;
            bitField0_ = (bitField0_ & ~0x00000100);
          } else {
            ensureLongValueIsMutable();
            longValue_.addAll(other.longValue_);
          }
          onChanged();
        }
        this.mergeUnknownFields(other.getUnknownFields());
        return this;
      }
      
      public final boolean isInitialized() {
        if (!hasMessageType()) {
          
          return false;
        }
        return true;
      }
      
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder(
            this.getUnknownFields());
        while (true) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              this.setUnknownFields(unknownFields.build());
              onChanged();
              return this;
            default: {
              if (!parseUnknownField(input, unknownFields,
                                     extensionRegistry, tag)) {
                this.setUnknownFields(unknownFields.build());
                onChanged();
                return this;
              }
              break;
            }
            case 8: {
              bitField0_ |= 0x00000001;
              sourceId_ = input.readInt64();
              break;
            }
            case 16: {
              bitField0_ |= 0x00000002;
              messageType_ = input.readInt64();
              break;
            }
            case 24: {
              bitField0_ |= 0x00000004;
              messageTime_ = input.readInt32();
              break;
            }
            case 40: {
              bitField0_ |= 0x00000008;
              timeStamp_ = input.readInt64();
              break;
            }
            case 48: {
              bitField0_ |= 0x00000010;
              messageBlock_ = input.readInt32();
              break;
            }
            case 56: {
              ensureIntValueIsMutable();
              intValue_.add(input.readInt32());
              break;
            }
            case 58: {
              int length = input.readRawVarint32();
              int limit = input.pushLimit(length);
              while (input.getBytesUntilLimit() > 0) {
                addIntValue(input.readInt32());
              }
              input.popLimit(limit);
              break;
            }
            case 65: {
              ensureDoubleValueIsMutable();
              doubleValue_.add(input.readDouble());
              break;
            }
            case 66: {
              int length = input.readRawVarint32();
              int limit = input.pushLimit(length);
              while (input.getBytesUntilLimit() > 0) {
                addDoubleValue(input.readDouble());
              }
              input.popLimit(limit);
              break;
            }
            case 72: {
              ensureBooleanValueIsMutable();
              booleanValue_.add(input.readBool());
              break;
            }
            case 74: {
              int length = input.readRawVarint32();
              int limit = input.pushLimit(length);
              while (input.getBytesUntilLimit() > 0) {
                addBooleanValue(input.readBool());
              }
              input.popLimit(limit);
              break;
            }
            case 80: {
              ensureLongValueIsMutable();
              longValue_.add(input.readInt64());
              break;
            }
            case 82: {
              int length = input.readRawVarint32();
              int limit = input.pushLimit(length);
              while (input.getBytesUntilLimit() > 0) {
                addLongValue(input.readInt64());
              }
              input.popLimit(limit);
              break;
            }
          }
        }
      }
      
      private int bitField0_;
      
      // optional int64 sourceId = 1;
      private long sourceId_ ;
      public boolean hasSourceId() {
        return ((bitField0_ & 0x00000001) == 0x00000001);
      }
      public long getSourceId() {
        return sourceId_;
      }
      public Builder setSourceId(long value) {
        bitField0_ |= 0x00000001;
        sourceId_ = value;
        onChanged();
        return this;
      }
      public Builder clearSourceId() {
        bitField0_ = (bitField0_ & ~0x00000001);
        sourceId_ = 0L;
        onChanged();
        return this;
      }
      
      // required int64 messageType = 2;
      private long messageType_ ;
      public boolean hasMessageType() {
        return ((bitField0_ & 0x00000002) == 0x00000002);
      }
      public long getMessageType() {
        return messageType_;
      }
      public Builder setMessageType(long value) {
        bitField0_ |= 0x00000002;
        messageType_ = value;
        onChanged();
        return this;
      }
      public Builder clearMessageType() {
        bitField0_ = (bitField0_ & ~0x00000002);
        messageType_ = 0L;
        onChanged();
        return this;
      }
      
      // optional int32 messageTime = 3;
      private int messageTime_ ;
      public boolean hasMessageTime() {
        return ((bitField0_ & 0x00000004) == 0x00000004);
      }
      public int getMessageTime() {
        return messageTime_;
      }
      public Builder setMessageTime(int value) {
        bitField0_ |= 0x00000004;
        messageTime_ = value;
        onChanged();
        return this;
      }
      public Builder clearMessageTime() {
        bitField0_ = (bitField0_ & ~0x00000004);
        messageTime_ = 0;
        onChanged();
        return this;
      }
      
      // optional int64 timeStamp = 5;
      private long timeStamp_ ;
      public boolean hasTimeStamp() {
        return ((bitField0_ & 0x00000008) == 0x00000008);
      }
      public long getTimeStamp() {
        return timeStamp_;
      }
      public Builder setTimeStamp(long value) {
        bitField0_ |= 0x00000008;
        timeStamp_ = value;
        onChanged();
        return this;
      }
      public Builder clearTimeStamp() {
        bitField0_ = (bitField0_ & ~0x00000008);
        timeStamp_ = 0L;
        onChanged();
        return this;
      }
      
      // optional int32 messageBlock = 6;
      private int messageBlock_ ;
      public boolean hasMessageBlock() {
        return ((bitField0_ & 0x00000010) == 0x00000010);
      }
      public int getMessageBlock() {
        return messageBlock_;
      }
      public Builder setMessageBlock(int value) {
        bitField0_ |= 0x00000010;
        messageBlock_ = value;
        onChanged();
        return this;
      }
      public Builder clearMessageBlock() {
        bitField0_ = (bitField0_ & ~0x00000010);
        messageBlock_ = 0;
        onChanged();
        return this;
      }
      
      // repeated int32 intValue = 7;
      private java.util.List<java.lang.Integer> intValue_ = java.util.Collections.emptyList();;
      private void ensureIntValueIsMutable() {
        if (!((bitField0_ & 0x00000020) == 0x00000020)) {
          intValue_ = new java.util.ArrayList<java.lang.Integer>(intValue_);
          bitField0_ |= 0x00000020;
         }
      }
      public java.util.List<java.lang.Integer>
          getIntValueList() {
        return java.util.Collections.unmodifiableList(intValue_);
      }
      public int getIntValueCount() {
        return intValue_.size();
      }
      public int getIntValue(int index) {
        return intValue_.get(index);
      }
      public Builder setIntValue(
          int index, int value) {
        ensureIntValueIsMutable();
        intValue_.set(index, value);
        onChanged();
        return this;
      }
      public Builder addIntValue(int value) {
        ensureIntValueIsMutable();
        intValue_.add(value);
        onChanged();
        return this;
      }
      public Builder addAllIntValue(
          java.lang.Iterable<? extends java.lang.Integer> values) {
        ensureIntValueIsMutable();
        super.addAll(values, intValue_);
        onChanged();
        return this;
      }
      public Builder clearIntValue() {
        intValue_ = java.util.Collections.emptyList();;
        bitField0_ = (bitField0_ & ~0x00000020);
        onChanged();
        return this;
      }
      
      // repeated double doubleValue = 8;
      private java.util.List<java.lang.Double> doubleValue_ = java.util.Collections.emptyList();;
      private void ensureDoubleValueIsMutable() {
        if (!((bitField0_ & 0x00000040) == 0x00000040)) {
          doubleValue_ = new java.util.ArrayList<java.lang.Double>(doubleValue_);
          bitField0_ |= 0x00000040;
         }
      }
      public java.util.List<java.lang.Double>
          getDoubleValueList() {
        return java.util.Collections.unmodifiableList(doubleValue_);
      }
      public int getDoubleValueCount() {
        return doubleValue_.size();
      }
      public double getDoubleValue(int index) {
        return doubleValue_.get(index);
      }
      public Builder setDoubleValue(
          int index, double value) {
        ensureDoubleValueIsMutable();
        doubleValue_.set(index, value);
        onChanged();
        return this;
      }
      public Builder addDoubleValue(double value) {
        ensureDoubleValueIsMutable();
        doubleValue_.add(value);
        onChanged();
        return this;
      }
      public Builder addAllDoubleValue(
          java.lang.Iterable<? extends java.lang.Double> values) {
        ensureDoubleValueIsMutable();
        super.addAll(values, doubleValue_);
        onChanged();
        return this;
      }
      public Builder clearDoubleValue() {
        doubleValue_ = java.util.Collections.emptyList();;
        bitField0_ = (bitField0_ & ~0x00000040);
        onChanged();
        return this;
      }
      
      // repeated bool booleanValue = 9;
      private java.util.List<java.lang.Boolean> booleanValue_ = java.util.Collections.emptyList();;
      private void ensureBooleanValueIsMutable() {
        if (!((bitField0_ & 0x00000080) == 0x00000080)) {
          booleanValue_ = new java.util.ArrayList<java.lang.Boolean>(booleanValue_);
          bitField0_ |= 0x00000080;
         }
      }
      public java.util.List<java.lang.Boolean>
          getBooleanValueList() {
        return java.util.Collections.unmodifiableList(booleanValue_);
      }
      public int getBooleanValueCount() {
        return booleanValue_.size();
      }
      public boolean getBooleanValue(int index) {
        return booleanValue_.get(index);
      }
      public Builder setBooleanValue(
          int index, boolean value) {
        ensureBooleanValueIsMutable();
        booleanValue_.set(index, value);
        onChanged();
        return this;
      }
      public Builder addBooleanValue(boolean value) {
        ensureBooleanValueIsMutable();
        booleanValue_.add(value);
        onChanged();
        return this;
      }
      public Builder addAllBooleanValue(
          java.lang.Iterable<? extends java.lang.Boolean> values) {
        ensureBooleanValueIsMutable();
        super.addAll(values, booleanValue_);
        onChanged();
        return this;
      }
      public Builder clearBooleanValue() {
        booleanValue_ = java.util.Collections.emptyList();;
        bitField0_ = (bitField0_ & ~0x00000080);
        onChanged();
        return this;
      }
      
      // repeated int64 longValue = 10;
      private java.util.List<java.lang.Long> longValue_ = java.util.Collections.emptyList();;
      private void ensureLongValueIsMutable() {
        if (!((bitField0_ & 0x00000100) == 0x00000100)) {
          longValue_ = new java.util.ArrayList<java.lang.Long>(longValue_);
          bitField0_ |= 0x00000100;
         }
      }
      public java.util.List<java.lang.Long>
          getLongValueList() {
        return java.util.Collections.unmodifiableList(longValue_);
      }
      public int getLongValueCount() {
        return longValue_.size();
      }
      public long getLongValue(int index) {
        return longValue_.get(index);
      }
      public Builder setLongValue(
          int index, long value) {
        ensureLongValueIsMutable();
        longValue_.set(index, value);
        onChanged();
        return this;
      }
      public Builder addLongValue(long value) {
        ensureLongValueIsMutable();
        longValue_.add(value);
        onChanged();
        return this;
      }
      public Builder addAllLongValue(
          java.lang.Iterable<? extends java.lang.Long> values) {
        ensureLongValueIsMutable();
        super.addAll(values, longValue_);
        onChanged();
        return this;
      }
      public Builder clearLongValue() {
        longValue_ = java.util.Collections.emptyList();;
        bitField0_ = (bitField0_ & ~0x00000100);
        onChanged();
        return this;
      }
      
      // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.common.StateDefinitionMessage)
    }
    
    static {
      defaultInstance = new StateDefinitionMessage(true);
      defaultInstance.initFields();
    }
    
    // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.common.StateDefinitionMessage)
  }
  
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_common_StateDefinitionMessage_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_common_StateDefinitionMessage_fieldAccessorTable;
  
  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n\034StateDefinitionMessage.proto\022$ru.omnic" +
      "omm.pegasus.messaging.common\"\315\001\n\026StateDe" +
      "finitionMessage\022\020\n\010sourceId\030\001 \001(\003\022\023\n\013mes" +
      "sageType\030\002 \002(\003\022\023\n\013messageTime\030\003 \001(\005\022\021\n\tt" +
      "imeStamp\030\005 \001(\003\022\024\n\014messageBlock\030\006 \001(\005\022\020\n\010" +
      "intValue\030\007 \003(\005\022\023\n\013doubleValue\030\010 \003(\001\022\024\n\014b" +
      "ooleanValue\030\t \003(\010\022\021\n\tlongValue\030\n \003(\003BD\n$" +
      "ru.omnicomm.pegasus.messaging.commonB\034St" +
      "ateDefinitionMessageParser"
    };
    com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner assigner =
      new com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner() {
        public com.google.protobuf.ExtensionRegistry assignDescriptors(
            com.google.protobuf.Descriptors.FileDescriptor root) {
          descriptor = root;
          internal_static_ru_omnicomm_pegasus_messaging_common_StateDefinitionMessage_descriptor =
            getDescriptor().getMessageTypes().get(0);
          internal_static_ru_omnicomm_pegasus_messaging_common_StateDefinitionMessage_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_common_StateDefinitionMessage_descriptor,
              new java.lang.String[] { "SourceId", "MessageType", "MessageTime", "TimeStamp", "MessageBlock", "IntValue", "DoubleValue", "BooleanValue", "LongValue", },
              ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.StateDefinitionMessage.class,
              ru.omnicomm.pegasus.messaging.common.StateDefinitionMessageParser.StateDefinitionMessage.Builder.class);
          return null;
        }
      };
    com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
        }, assigner);
  }
  
  // @@protoc_insertion_point(outer_class_scope)
}
